#
# spec file for package python-exam
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-exam
Version:        0.10.6
Release:        6.4
Summary:        Helpers for better testing
License:        MIT
URL:            https://github.com/fluxx/exam
Source:         https://files.pythonhosted.org/packages/source/e/exam/exam-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/Fluxx/exam/master/LICENSE
# https://github.com/Fluxx/exam/pull/50
Patch0:         remove_nose.patch
Patch1:         no-mock.patch
Patch2:         fix-assertion-methods.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Recommends:     python-pep8
Recommends:     python-pyflakes
BuildArch:      noarch

%python_subpackages

%description
Exam is a Python toolkit for writing better tests.
It aims to remove a lot of the boiler plate testing
code one often writes, while still following Python
conventions and adhering to the unit testing interface.

%prep
%autosetup -p1 -n exam-%{version}
cp %{SOURCE1} .

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/exam
%{python_sitelib}/exam-%{version}.dist-info

%changelog
* Fri Jan 19 2024 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
- Stop using greedy globs in %%files.
- Add patch fix-assertion-methods.patch:
  * Correct test assertion methods.
- Refresh no-mock.patch, to remove it from install_requires.
* Mon Mar 14 2022 Steve Kowalik <steven.kowalik@suse.com>
- Add patch no-mock.patch:
  * Stop using mock.
- Drop mock BuildRequires/Requires.
- No longer run testsuite twice.
* Fri Aug 14 2020 John Vandenberg <jayvdb@gmail.com>
- Add LICENSE
- Remove unnecessary %%bcond_without test
- Add testing under pytest
* Thu Mar 26 2020 Paolo Stivanin <info@paolostivanin.com>
- Add remove_nose.patch
  * as nose won't work with Python 3.9/3.10
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Sep  8 2017 toddrme2178@gmail.com
- Initial version
